nvme_open(2)

NAME
nvme_open - Open an nvme controller or namespace device

SYNOPSIS
int nvme_open (const char *name );

ARGUMENTS

name
    The basename of the device to open

DESCRIPTION
This will look for the handle in /dev/ and validate the name and filetype match linux conventions.

RETURN
A file descriptor for the device on a successful open, or -1 with errno set otherwise.